UiPath Documentation
automation-cloud
latest
false

UiPath Automation Cloud API ガイド

最終更新日時 2026年5月20日

ディレクトリを検索

組織 ID に基づいて、プレフィックス文字列に一致するエンティティ (ユーザー、グループ、またはアプリケーション) をディレクトリで検索します。

API エンドポイント

GET {accessURL}/{organizationName}/identity_/api/Directory/Search/{partitionGlobalId}

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud (公共部門向け)https://govcloud.uipath.us/
Automation Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • Pm。ディレクトリ

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
partitionGlobalId (必須)文字列 (GUID)検索に使用する組織の ID です。

Query Parameters

クエリ パラメーターデータ型説明
startsWith (必須)文字列検索するプレフィックス文字列です。結果は、名前、メール、または表示名がこの値で始まるエンティティと一致します。
entityType (任意)文字列検索するディレクトリ エンティティの種類です。有効な値: UserGroupApplicationです。sourceFilterと併用することはできません。
sourceFilter (任意)String の配列結果をソースでフィルター処理します。有効な値: LocalUsersDirectoryUsersLocalGroupsDirectoryGroupsRobotAccountsApplicationsです。entityTypeと併用することはできません。
scope (任意)文字列Active Directory のエンティティに使用される任意のスコープ。

応答

200 OK

検索条件に一致するディレクトリ エンティティのリストが返されます。

[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    },
    {
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "identityName": "Engineering Team",
        "displayName": "Engineering Team",
        "email": null,
        "type": "Group",
        "objectType": "DirectoryGroup"
    }
]
[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    },
    {
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "identityName": "Engineering Team",
        "displayName": "Engineering Team",
        "email": null,
        "type": "Group",
        "objectType": "DirectoryGroup"
    }
]

400 Bad Request

entityTypesourceFilterの両方が指定されている場合、または必須パラメーターがない場合に返されます。

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

呼び出しは次の例のようになります (cURL)。

curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Search/3fa85f64-5717-4562-b3fc-2c963f66afa6?startsWith=john&entityType=User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/Search/3fa85f64-5717-4562-b3fc-2c963f66afa6?startsWith=john&entityType=User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'

呼び出しが成功した場合、応答本文は次のようになります。

[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    }
]
[
    {
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "identityName": "john.doe@example.com",
        "displayName": "John Doe",
        "email": "john.doe@example.com",
        "type": "User",
        "objectType": "DirectoryUser"
    }
]
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • Query Parameters
  • 応答
  • 200 OK
  • 400 Bad Request
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得